const { defineConfig } = require('@vue/cli-service')
module.exports = defineConfig({
    configureWebpack: {
	mode: 'development'
    },
    transpileDependencies: true,
    pwa: {
    name: 'My App',
    themeColor: '#4DBA87',
    msTileColor: '#000000',
    appleMobileWebAppCapable: 'yes',
    appleMobileWebAppStatusBarStyle: 'black',
    workboxPluginMode: "InjectManifest",
    workboxOptions: {
      swSrc: "./src/service-worker.js",
	exclude: [/_redirect/, /\.map$/, /_headers/],
    },	
  }
})
